using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WinForm
{
    public partial class Options : Form
    {
        public Options()
        {
            InitializeComponent();
        }

        private void Options_Shown(object sender, EventArgs e)
        {
            // load settings
            maxRowsNud.Value = AmortizationForm.Settings.MaxRowHeight;
            saveStateCb.Checked = AmortizationForm.Settings.DoSave;
        }

        private void okBtn_Click(object sender, EventArgs e)
        {
            // save settings
            AmortizationForm.Settings.MaxRowHeight = Convert.ToInt32(maxRowsNud.Value);
            AmortizationForm.Settings.DoSave = saveStateCb.Checked;

            this.Close();
        }
    }
}